/*
 * DetectIP.h
 *
 *  Created on: 2008-11-15
 *      Author: root
 */

#ifndef DETECTIP_H_
#define DETECTIP_H_

#include <vector>
#include <string>

struct hostInfo
{
	std::string IP;
	std::string netcardname;
};
typedef struct hostInfo HostInfo_t;

class DetectIP {
public:
	DetectIP();
	virtual ~DetectIP();
	bool PollingIP();
private:

	std::string GetHostIP();
	void GetHostIPList(std::vector<HostInfo_t>& IPList);
	bool isIPListChanged(std::vector<HostInfo_t>& IPList);
	std::vector< HostInfo_t > m_IPList;
};

#endif /* DETECTIP_H_ */
